Bug 970708 - Nouveau hangs shortly after login
Nouveau hangs shortly after login
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 12:36 EDT by Matthew Garrett
Modified: 2013-10-08 13:14 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 13:14:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Garrett 2013-06-04 12:36:28 EDT
Shortly after I log into X, the screen freezes and I get the following in dmesg:


[  677.800894] nouveau E[   PFIFO][0000:01:00.0] read fault at 0x41a8000000 [PT_
NOT_PRESENT] from PGRAPH/CTXCTL on channel 0x005fe10000 [Xorg[2710]]
[  719.119364] nouveau E[     DRM] GPU lockup - switching to software fbcon
[  722.353138] nouveau E[Xorg[2710]] failed to idle channel 0xcccc0001 [Xorg[271
0]]
[  725.352431] nouveau E[Xorg[2710]] failed to idle channel 0xcccc0001 [Xorg[271
0]]
[  727.352129] nouveau E[   PFIFO][0000:01:00.0] playlist update failed
[  730.351513] nouveau E[Xorg[2710]] failed to idle channel 0xcccc0000 [Xorg[271
0]]
[  733.349783] nouveau E[Xorg[2710]] failed to idle channel 0xcccc0000 [Xorg[271
0]]
[  733.350493] nouveau W[   PFIFO][0000:01:00.0] INTR 0x00000100: 0x0000000d
[  735.349341] nouveau E[   PFIFO][0000:01:00.0] channel 1 [Xorg[2710]] kick tim
eout
[  735.350195] nouveau W[   PFIFO][0000:01:00.0] INTR 0x00000100: 0x0000000d
[  737.349011] nouveau E[   PFIFO][0000:01:00.0] playlist update failed
[  737.350607] nouveau W[   PFIFO][0000:01:00.0] INTR 0x00000001: 0x0000000b
[  740.409741] nouveau E[gnome-shell[3092]] failed to idle channel 0xcccc0000 [gnome-shell[3092]]
[  743.407995] nouveau E[gnome-shell[3092]] failed to idle channel 0xcccc0000 [gnome-shell[3092]]
[  743.409650] nouveau W[   PFIFO][0000:01:00.0] INTR 0x00000100: 0x0000000d
[  745.408530] nouveau E[   PFIFO][0000:01:00.0] channel 3 [gnome-shell[3092]] kick timeout
[  745.410282] nouveau W[   PFIFO][0000:01:00.0] INTR 0x00000100: 0x0000000d
[  747.409136] nouveau E[   PFIFO][0000:01:00.0] playlist update failed
[  747.409823] nouveau W[   PFIFO][0000:01:00.0] INTR 0x00000001: 0x0000000b
[  750.407968] nouveau E[glxinfo[3409]] failed to idle channel 0xcccc0000 [glxinfo[3409]]
[  753.407249] nouveau E[glxinfo[3409]] failed to idle channel 0xcccc0000 [glxinfo[3409]]
[  755.407830] nouveau E[   PFIFO][0000:01:00.0] channel 4 [glxinfo[3409]] kick timeout
[  755.409585] nouveau W[   PFIFO][0000:01:00.0] INTR 0x00000100: 0x0000000d
[  757.408465] nouveau E[   PFIFO][0000:01:00.0] playlist update failed
[  757.497184] nouveau W[   PFIFO][0000:01:00.0] INTR 0x00000100: 0x0000000d
[  759.496037] nouveau E[   PFIFO][0000:01:00.0] playlist update failed
[  759.517892] nouveau W[   PFIFO][0000:01:00.0] INTR 0x00000100: 0x0000000d
[  761.516749] nouveau E[   PFIFO][0000:01:00.0] playlist update failed
[  766.752971] nouveau W[   PFIFO][0000:01:00.0] INTR 0x00000100: 0x0000000d
[  768.751812] nouveau E[   PFIFO][0000:01:00.0] playlist update failed
[  819.597185] nouveau E[gnome-session-c[3620]] failed to idle channel 0xcccc0000 [gnome-session-c[3620]]
[  822.595468] nouveau E[gnome-session-c[3620]] failed to idle channel 0xcccc0000 [gnome-session-c[3620]]
[  825.593745] nouveau E[gnome-session-c[3620]] failed to idle channel 0xcccc0000 [gnome-session-c[3620]]
[  825.593789] nouveau W[   PFIFO][0000:01:00.0] INTR 0x00000100: 0x0000000d
[  827.592667] nouveau E[   PFIFO][0000:01:00.0] channel 3 [gnome-session-c[3620]] kick timeout
[  830.590875] nouveau E[gnome-session-c[3620]] failed to idle channel 0xcccc0000 [gnome-session-c[3620]]
[  833.589157] nouveau E[gnome-session-c[3620]] failed to idle channel 0xcccc0000 [gnome-session-c[3620]]
[  833.589309] nouveau W[   PFIFO][0000:01:00.0] INTR 0x00000100: 0x0000000d
[  835.588189] nouveau E[   PFIFO][0000:01:00.0] playlist update failed
[  835.588204] nouveau W[   PFIFO][0000:01:00.0] INTR 0x00000001: 0x0000000b
[  835.864355] nouveau W[   PFIFO][0000:01:00.0] INTR 0x00000100: 0x0000000d
[  837.863232] nouveau E[   PFIFO][0000:01:00.0] playlist update failed
[  852.380822] nouveau E[   PDISP][0000:01:00.0][0xc000857c][ffff880220d9bf80] channel stalled


Earlier nouveau kernel output:
[    1.376604] nouveau  [  DEVICE][0000:01:00.0] BOOT0  : 0x0c8000a1
[    1.376624] nouveau  [  DEVICE][0000:01:00.0] Chipset: GF110 (NVC8)
[    1.376642] nouveau  [  DEVICE][0000:01:00.0] Family : NVC0
[    1.378974] nouveau  [   VBIOS][0000:01:00.0] checking PRAMIN for image...
[    1.469223] nouveau  [   VBIOS][0000:01:00.0] ... appears to be valid
[    1.469242] nouveau  [   VBIOS][0000:01:00.0] using image from PRAMIN
[    1.469327] nouveau  [   VBIOS][0000:01:00.0] BIT signature found
[    1.469344] nouveau  [   VBIOS][0000:01:00.0] version 70.10.20.00.01
[    1.491607] nouveau  [     PFB][0000:01:00.0] RAM type: GDDR5
[    1.491625] nouveau  [     PFB][0000:01:00.0] RAM size: 1536 MiB
[    1.491642] nouveau  [     PFB][0000:01:00.0]    ZCOMP: 0 tags
[    1.517951] nouveau  [  PTHERM][0000:01:00.0] FAN control: PWM
[    1.517971] nouveau  [  PTHERM][0000:01:00.0] fan management: disabled
[    1.518600] nouveau  [  PTHERM][0000:01:00.0] internal sensor: yes
[    1.519218] nouveau  [  PTHERM][0000:01:00.0] programmed thresholds [ 90(3), 95(3), 105(5), 135(5) ]
[    1.526000] nouveau  [     DRM] VRAM: 1536 MiB
[    1.526612] nouveau  [     DRM] GART: 512 MiB
[    1.527219] nouveau  [     DRM] TMDS table version 2.0
[    1.527815] nouveau  [     DRM] DCB version 4.0
[    1.528404] nouveau  [     DRM] DCB outp 00: 02000300 00000000
[    1.528986] nouveau  [     DRM] DCB outp 01: 01000302 00020030
[    1.529567] nouveau  [     DRM] DCB outp 02: 04011380 00000000
[    1.530138] nouveau  [     DRM] DCB outp 03: 08011382 00020030
[    1.530697] nouveau  [     DRM] DCB outp 04: 02022362 00020010
[    1.531252] nouveau  [     DRM] DCB conn 00: 00001030
[    1.531800] nouveau  [     DRM] DCB conn 01: 00010130
[    1.532341] nouveau  [     DRM] DCB conn 02: 00002261
[    1.534611] nouveau  [     DRM] ACPI backlight interface available, not registering our own
[    1.535256] nouveau  [     DRM] 0 available performance level(s)
[    1.535782] nouveau  [     DRM] c: core 50MHz shader 101MHz memory 135MHz voltage 963mV fanspeed 40%
[    1.540463] nouveau  [     DRM] MM: using COPY0 for buffer copies
[    1.724489] nouveau  [     DRM] allocated 1920x1080 fb: 0x60000, bo ffff8802204a2c00
[  664.512594] nouveau W[   PFIFO][0000:01:00.0] INTR 0x00000001: 0x00000004
[  668.795209] nouveau W[   PFIFO][0000:01:00.0] INTR 0x00000001: 0x00000004

Kernel 3.9.4-300.fc19.x86_64, mesa 9.2-0.7.20130528.fc19
Comment 1 Tigran Mkrtchyan 2013-08-31 07:05:51 EDT
the same here with 3.10.9-200.fc19.x86_64
Comment 2 Josh Boyer 2013-09-18 16:52:54 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 3 Josh Boyer 2013-10-08 13:14:09 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.